<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_openssl_error_api</name>
    <title>Globus OPENSSL Error API</title>
    <filename>group__globus__openssl__error__api.html</filename>
    <subgroup>globus_gsi_openssl_error_activation</subgroup>
    <subgroup>globus_openssl_error_object</subgroup>
    <subgroup>globus_openssl_error_utility</subgroup>
    <docanchor file="/tmp/buildd/globus-gsi-openssl-error-0.14/library/globus_error_openssl.h">globus_openssl_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_openssl_error_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__openssl__error__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_OPENSSL_ERROR_MODULE</name>
      <anchorfile>group__globus__gsi__openssl__error__activation.html</anchorfile>
      <anchor>g5e3e7b31e0d2253cb2a559d58040c5de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__openssl__error__object.html</filename>
    <member kind="function">
      <type>unsigned long</type>
      <name>globus_openssl_error_handle_get_error_code</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g691a69b046ed5afbe4003cdacbbf91df</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_data</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gef1dbdeef1b31c53868211e20ccaf12b</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_data_flags</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gf38269e1a16819677daf8ab6abfeb00f</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_filename</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g580b34098002b4b39d0f1a7e574a7a86</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_linenumber</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g6764d7361917f135f1faf88fa2bb034b</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_library</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gdfa2f4f82e0cf2bcaffd8039fb50e755</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_function</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g2ba4d2d6e86f98fba5a2d071bc79a443</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_reason</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gc7424e35687c2171bb29201f8c60142b</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_openssl_error</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g7618ec14e62746fa373931c1defc3162</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_openssl_error</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g3b41646adca53e6cf703f41df83b06e9</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, globus_openssl_error_handle_t openssl_error_handle)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_OPENSSL</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>g127a379f8fc31f5b941c1e2df937a77b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_utility</name>
    <title>Error Helper Functions</title>
    <filename>group__globus__openssl__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match_openssl_error</name>
      <anchorfile>group__globus__openssl__error__utility.html</anchorfile>
      <anchor>g0539c724dacf945eac1ca21ce83d5506</anchor>
      <arglist>(globus_object_t *error, unsigned long library, unsigned long function, unsigned long reason)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_openssl_error</name>
      <anchorfile>group__globus__openssl__error__utility.html</anchorfile>
      <anchor>g437fc84f88133b2672ca47c56828fc00</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int error_type, const char *source_file, const char *source_func, int source_line, const char *format,...)</arglist>
    </member>
  </compound>
</tagfile>
